<?php

if (isset($_GET['class_id'])) {
    $class_id = $_GET['class_id'];
    $time_table = Section::classTimetable($class_id);
    $class_name = $time_table["1"]['class_name'];

?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="p-1 d-flex justify-content-center">Department of Computer Science and Engineering</h4>
        <h5 class="p-1 d-flex justify-content-center"><a href="?class_id=<?php print($class_id); ?>"><?php print($time_table["1"]['class_name']); ?></a></h5>


        <?php

        // var_dump($_POST);
        if (isset($_POST['monday'])) {
            $day_name = ['monday', 'tuesday', 'wednesday', 'thursday', 'friday'];
            for ($day = 0; $day <= count($day_name) - 1; $day++) {
                // print($day_name[$day] . "<br>");
                // print($day_name[$day] . "=>".$_POST["$day_name[$day]"]."<br>");
                for ($periode = 1; $periode <= 7; $periode++) {
                    $periode_1 = $_POST["$day_name[$day]e_1"];
                    $periode_2 = $_POST["$day_name[$day]e_2"];
                    $periode_3 = $_POST["$day_name[$day]e_3"];
                    $periode_4 = $_POST["$day_name[$day]e_4"];
                    $periode_5 = $_POST["$day_name[$day]e_5"];
                    $periode_6 = $_POST["$day_name[$day]e_6"];
                    $periode_7 = $_POST["$day_name[$day]e_7"];
                    // print($day_name[$day]."e_".$periode."<br>");
                    // print($day_name[$day]."e_".$periode."=>" .$_POST["$day_name[$day]e_$periode"] . "<br>");
                }
                // print($day_name[$day]." | ".$class_id." | ".$staff_name." | ".$periode_1." | ".$periode_2." | ".$periode_3." | ".$periode_4." | ".$periode_5." | ".$periode_6." | ".$periode_7." | "."<br>");

                $updateClassTimeTable = Section::updateClassTimetable($day_name[$day], $class_id, $class_name, $periode_1, $periode_2, $periode_3, $periode_4, $periode_5, $periode_6, $periode_7);


            }
        }


        if (isset($_GET['edit'])) {
        ?>
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive text-nowrap">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Days</th>
                                    <th>1st Period <br> 09:30 - 10:20</th>
                                    <th>2nd Period <br> 10:20 - 11:10</th>
                                    <th>3rd Period <br> 11:25 - 12:15</th>
                                    <th>4th Period <br> 12:15 - 01:05</th>
                                    <th>5th Period <br> 02:00 - 02:50</th>
                                    <th>6th Period <br> 02:50 - 03:40</th>
                                    <th>7th Period <br> 03:40 - 04:30</th>
                                </tr>
                            </thead>
                            <tbody>

                                <form action="schedule.php?class_id=<?php print($class_id); ?>" method="post">
                                    <?php

                                    $days_name = ['monday', 'tuesday', 'wednesday', 'thursday', 'friday'];
                                    for ($days = 0; $days <= count($days_name) - 1; $days++) {
                                    ?>
                                        <tr>
                                            <td>
                                                <?php echo (ucfirst($days_name[$days])); ?>
                                                <input type="text" value="<?php echo (ucwords($days_name[$days])) ?>" name="<?php echo ($days_name[$days]) ?>" hidden>
                                            </td>
                                            <?php
                                            for ($period = 1; $period <= 7; $period++) {
                                            ?>
                                                <td>
                                                    <select class="form-select" aria-label="Default select example" name="<?php echo ($days_name[$days] . "e_" . $period); ?>">
                                                        <option value="<?php echo ($time_table["$days"]["period_$period"]) ?>" selected><?php echo ($time_table["$days"]["period_$period"]) ?></option>
                                                        <?php
                                                        $fetch_role = General::selectTable("subject_records");
                                                        for ($i = 0; $i < count($fetch_role); $i++) {
                                                            $role = $fetch_role[$i]['sub_name'];
                                                            echo ("<option value='$role'>$role</option>");
                                                        }
                                                        ?>
                                                    </select>

                                                </td>
                                            <?php
                                            }
                                            ?>

                                        </tr>
                                    <?php
                                    }
                                    ?>

                        </table>
                        <br>
                    </div>
                    <div class="d-flex justify-content-end">
                        <a href="?class_id=<?php print($class_id); ?>">
                            <button type="submit" class="btn btn-outline-info">Update</button>
                        </a>
                    </div>
                    </form>
                </div>
            </div>
        <?php

        } else {
        ?>
            <div class="card">
                <h5 class="card-header">
                    <div class="d-flex justify-content-end">
                        <a href="?class_id=<?php print($class_id); ?>&edit">
                            <button type="button" class="btn btn-outline-warning base">Edit</button></a>
                    </div>
                </h5>

                <div class="card-body">
                    <div class="table-responsive text-nowrap">

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Days</th>
                                    <th>1st Period <br> 09:30 - 10:20</th>
                                    <th>2nd Period <br> 10:20 - 11:10</th>
                                    <th>3rd Period <br> 11:25 - 12:15</th>
                                    <th>4th Period <br> 12:15 - 01:05</th>
                                    <th>5th Period <br> 02:00 - 02:50</th>
                                    <th>6th Period <br> 02:50 - 03:40</th>
                                    <th>7th Period <br> 03:40 - 04:30</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                if ($time_table) {

                                    for ($i = 0; $i < count($time_table); $i++) {

                                ?>

                                        <tr>
                                            <td><?php print(ucfirst($time_table[$i]['Days'])); ?></td>
                                            <td><?php print($time_table[$i]['period_1']); ?></td>
                                            <td><?php print($time_table[$i]['period_2']); ?></td>
                                            <td><?php print($time_table[$i]['period_3']); ?></td>
                                            <td><?php print($time_table[$i]['period_4']); ?></td>
                                            <td><?php print($time_table[$i]['period_5']); ?></td>
                                            <td><?php print($time_table[$i]['period_6']); ?></td>
                                            <td><?php print($time_table[$i]['period_7']); ?></td>
                                        </tr>

                                    <?php
                                    }
                                } else {
                                    ?>
                            </tbody>
                        </table>
                        <h3 class="d-flex justify-content-center p-3">Haven't Allocate Any Time Table for This Faculty</h3>
                    <?php

                                }

                    ?>

                    </div>
                </div>
            </div>


        <?
        }
        ?>

    <?php
}
    ?>
    </div>