<?php

require_once "Database.class.php";

class Faculties
{

    private $conn;
    private $result;


    public static function listFaculties()
    {
        $query = "SELECT * FROM `staffs_records`";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result->num_rows >= 1) {
            $data = mysqli_fetch_all($result, MYSQLI_ASSOC);
            // for ($i = 0; $i < count($data); $i++) {
            //     $c_at = $data[$i]['staff_name'];
            //     $u_at = $data[$i]['role'];
            // }
            return $data;
        } else {
            return [];
        }
    }

    public static function facultyDetails($staff_id)
    {
        if ($staff_id != null) {
            $query = "SELECT * FROM `staffs_records` WHERE `staff_id` = $staff_id";
            $conn = Database::getConnection();
            $result = $conn->query($query);
            if ($result && mysqli_num_rows($result) == 1) {
                $data = mysqli_fetch_assoc($result);
                return $data;
            } else {
                throw new Exception("User Not Found");
            }
        }
    }

    public static function addStaff($name, $role, $email, $profile_img, $year_of_experience)
    {

        $query = "INSERT INTO `staffs_records` (`staff_name`, `role`, `email`, `profile_img`, `year_of_experience`) VALUES ('$name', '$role', '$email', '$profile_img', '$year_of_experience')";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            $staff_id = Faculties::getStaffId($name);
            return $staff_id;
        } else {
            throw new Exception("Cannot Add Staff Details");
        }
    }

    public static function staffTtimtable($staff_id)
    {
        $query = "SELECT * FROM `staff_timetable` WHERE `staff_id` = '$staff_id'";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result->num_rows >= 1) {
            $data = mysqli_fetch_all($result, MYSQLI_ASSOC);
            return $data;
        } else {
            return [];
        }
    }

    public static function addStaffTimetable($day, $staff_id, $staff_name, $period_1, $period_2, $period_3, $period_4, $period_5, $period_6, $period_7)
    {
        $query = "INSERT INTO `staff_timetable` (`Days`, `staff_id`, `staff_name`, `period_1`, `period_2`, `period_3`, `period_4`, `period_5`, `period_6`, `period_7`) VALUES ('$day', '$staff_id', '$staff_name', '$period_1', '$period_2', '$period_3', '$period_4', '$period_5', '$period_6', '$period_7');";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            return true;
        } else {
            return false;
        }
    }

    public static function updateStaffTimetable($day, $staff_id, $staff_name, $period_1, $period_2, $period_3, $period_4, $period_5, $period_6, $period_7)
    {
        $query = "UPDATE `staff_timetable` SET
        `Days` = '$day',
        `staff_id` = '$staff_id',
        `staff_name` = '$staff_name',
        `period_1` = '$period_1',
        `period_2` = '$period_2',
        `period_3` = '$period_3',
        `period_4` = '$period_4',
        `period_5` = '$period_5',
        `period_6` = '$period_6',
        `period_7` = '$period_7'
        WHERE `Days` = '$day' AND `staff_id` = '$staff_id'";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            return true;
        } else {
            return false;
        }
    }


    public static function getStaffId($staff_name)
    {
        $query = "SELECT * FROM `staffs_records` WHERE `staff_name` = '$staff_name'";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            $data = mysqli_fetch_assoc($result);
            return $data['staff_id'];
        } else {
            throw new Exception("User Not Found");
        }
    }
}
