<?php

if (isset($_GET['staff_id'])) {
    $staff_id = $_GET['staff_id'];
    $faculty_detail = Faculties::facultyDetails($staff_id);
    $time_table = Faculties::staffTtimtable($staff_id);
    $staff_name = $faculty_detail['staff_name'];

?>

    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="row mb-3">
            <div class="col-md">
                <div class="card mb-1">
                    <div class="row">
                        <div class="col-md-2 pt-4 ps-5">
                            <img class="w-px-150 h-auto rounded-circle" src="./assets/img/avatars/6.png" alt="Card image" />
                        </div>
                        <div class="col-md-10">
                            <div class="card-body">
                                <h2 class="card-title"><a href="?staff_id=<?php print($staff_id); ?>"><?php print($faculty_detail['staff_name']); ?></a></h2>
                                <h5 class="card-text">
                                    <?php print($faculty_detail['role']); ?>
                                </h5>
                                <p class="card-text">
                                    Year of Experience : <?php print($faculty_detail['year_of_experience']); ?>
                                    <br>
                                    Email : <?php print($faculty_detail['email']); ?>
                                </p>
                                <p class="card-text">

                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>




        <?php

        // var_dump($_POST);
        if (isset($_POST['monday'])) {
            $day_name = ['monday', 'tuesday', 'wednesday', 'thursday', 'friday'];
            for ($day = 0; $day <= count($day_name) - 1; $day++) {
            // print($day_name[$day] . "<br>");
            // print($day_name[$day] . "=>".$_POST["$day_name[$day]"]."<br>");
            for ($periode = 1; $periode <= 7; $periode++) {
                $periode_1 = $_POST["$day_name[$day]e_1"];
                $periode_2 = $_POST["$day_name[$day]e_2"];
                $periode_3 = $_POST["$day_name[$day]e_3"];
                $periode_4 = $_POST["$day_name[$day]e_4"];
                $periode_5 = $_POST["$day_name[$day]e_5"];
                $periode_6 = $_POST["$day_name[$day]e_6"];
                $periode_7 = $_POST["$day_name[$day]e_7"]; 
            // print($day_name[$day]."e_".$periode."<br>");
            // print($day_name[$day]."e_".$periode."=>" .$_POST["$day_name[$day]e_$periode"] . "<br>");
        }
        // print($day_name[$day]." | ".$staff_id." | ".$staff_name." | ".$periode_1." | ".$periode_2." | ".$periode_3." | ".$periode_4." | ".$periode_5." | ".$periode_6." | ".$periode_7." | "."<br>");

            $updateStaffTimeTable = Faculties::updateStaffTimetable($day_name[$day], $staff_id, $staff_name, $periode_1, $periode_2, $periode_3, $periode_4, $periode_5, $periode_6, $periode_7);


            }
        }


        if (isset($_GET['edit'])) {
        ?>
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive text-nowrap">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Days</th>
                                    <th>1st Period <br> 09:30 - 10:20</th>
                                    <th>2nd Period <br> 10:20 - 11:10</th>
                                    <th>3rd Period <br> 11:25 - 12:15</th>
                                    <th>4th Period <br> 12:15 - 01:05</th>
                                    <th>5th Period <br> 02:00 - 02:50</th>
                                    <th>6th Period <br> 02:50 - 03:40</th>
                                    <th>7th Period <br> 03:40 - 04:30</th>
                                </tr>
                            </thead>
                            <tbody>

                                <form action="facultyTable.php?staff_id=<?php print($staff_id); ?>" method="post">
                                    <?php

                                    $days_name = ['monday', 'tuesday', 'wednesday', 'thursday', 'friday'];
                                    for ($days = 0; $days <= count($days_name) - 1; $days++) {
                                    ?>
                                        <tr>
                                            <td>
                                                <?php echo(ucfirst($days_name[$days])); ?>
                                                <input type="text" value="<?php echo (ucwords($days_name[$days])) ?>" name="<?php echo ($days_name[$days]) ?>" hidden>
                                            </td>
                                            <?php
                                            for ($period = 1; $period <= 7; $period++) {
                                            ?>
                                                <td>
                                                    <select class="form-select" aria-label="Default select example" name="<?php echo ($days_name[$days] . "e_" . $period); ?>">
                                                        <option value="<?php echo ($time_table["$days"]["period_$period"]) ?>" selected><?php echo ($time_table["$days"]["period_$period"]) ?></option>
                                                        <?php
                                                        $fetch_role = General::selectTable("class_records");
                                                        for ($i = 0; $i < count($fetch_role); $i++) {
                                                            $role = $fetch_role[$i]['class_name'];
                                                            echo ("<option value='$role'>$role</option>");
                                                        }
                                                        ?>
                                                        <option value="Free">Free</option>
                                                        <option value="Counsilling">Counsilling</option>
                                                    </select>

                                                </td>
                                            <?php
                                            }
                                            ?>

                                        </tr>
                                    <?php
                                    }
                                    ?>

                        </table>
                        <br>
                    </div>
                    <div class="d-flex justify-content-end">
                        <a href="?staff_id=<?php print($staff_id); ?>">
                            <button type="submit" class="btn btn-outline-info">Update</button>
                        </a>
                    </div>
                    </form>
                </div>
            </div>
        <?php

        } else {
        ?>
            <div class="card">
                <h5 class="card-header">
                    <div class="d-flex justify-content-end">
                        <a href="?staff_id=<?php print($staff_id); ?>&edit">
                            <button type="button" class="btn btn-outline-warning base">Edit</button></a>
                    </div>
                </h5>

                <div class="card-body">
                    <div class="table-responsive text-nowrap">

                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Days</th>
                                    <th>1st Period <br> 09:30 - 10:20</th>
                                    <th>2nd Period <br> 10:20 - 11:10</th>
                                    <th>3rd Period <br> 11:25 - 12:15</th>
                                    <th>4th Period <br> 12:15 - 01:05</th>
                                    <th>5th Period <br> 02:00 - 02:50</th>
                                    <th>6th Period <br> 02:50 - 03:40</th>
                                    <th>7th Period <br> 03:40 - 04:30</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                if ($time_table) {

                                    for ($i = 0; $i < count($time_table); $i++) {

                                ?>
                                

                                <tr>
                                    <td><?php print(ucfirst($time_table[$i]['Days'])); ?></td>
                                    <td><?php print($time_table[$i]['period_1']); ?></td>
                                    <td><?php print($time_table[$i]['period_2']); ?></td>
                                    <td><?php print($time_table[$i]['period_3']); ?></td>
                                    <td><?php print($time_table[$i]['period_4']); ?></td>
                                    <td><?php print($time_table[$i]['period_5']); ?></td>
                                    <td><?php print($time_table[$i]['period_6']); ?></td>
                                    <td><?php print($time_table[$i]['period_7']); ?></td>
                                </tr>

                            <?php
                                    }
                                } else {
                            ?>
                            </tbody>
                        </table>
                        <h3 class="d-flex justify-content-center p-3">Haven't Allocate Any Time Table for This Faculty</h3>
                    <?php

                                }

                    ?>

                    </div>
                </div>
            </div>


        <?
        }
        ?>

    <?php
}
    ?>



    </div>