<div class="container-xxl flex-grow-1 container-p-y">
    <style>
        .layer {
            z-index: 1;
            position: absolute;
            top: calc(100% - 2px);
            height: 100%;
            width: 100%;
            left: 0;
            background: #6A6CFF;
        }

        .card .content {
            z-index: 2;
            position: relative;
        }

        .card:hover .layer {
            top: 0;
        }

        .card:hover .content .card-body {
            color: white;
            position: relative
        }

        .card:hover .content .card-header {
            color: white;
            position: relative
        }

        .card:hover .content .card-title {
            color: white;
            position: relative
        }
    </style>

    <h5 class="pb-1 mb-4">Faculty Records</h5>
    <div class="row">



        <?php

        $faculties = Faculties::listFaculties();
        for ($i = 0; $i < count($faculties); $i++) {
            $staff_name = $faculties[$i]['staff_name'];
            $role = $faculties[$i]['role'];
            $staff_id = $faculties[$i]['staff_id'];
        ?>

            <div class="col-md-6 col-xl-3">
                <a href="./facultyTable.php?staff_id=<?php print($staff_id); ?>">
                    <div class="card mb-3" style="overflow:hidden;">
                        <div class="layer">
                        </div>
                        <div class="content">
                            <div class="card-header"> <?php print($faculties[$i]['staff_name']); ?></div>
                            <div class="card-body">
                                <h5 class="card-title"> <?php print($faculties[$i]['role']); ?></h5>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        <?php
        }
        ?>




        <!-- <div class="col-md-6 col-xl-3">
              <a href="./facultyTable.html">
                <div class="card mb-3" style="overflow:hidden;">
                  <div class="layer">
                  </div>
                  <div class="content">
                    <div class="card-header">Dr. G . Sivakumar</div>
                    <div class="card-body">
                      <h5 class="card-title">Head of the Department</h5>
                    </div>
                  </div>
                </div>
              </a>
            </div>

            <div class="col-md-6 col-xl-3">
              <a href="./facultyTable.html">
                <div class="card mb-3" style="overflow:hidden;">
                  <div class="layer" style="background:tomato ;">
                  </div>
                  <div class="content">
                    <div class="card-header">Mrs . Revathy</div>
                    <div class="card-body">
                      <h5 class="card-title">Assistant Professor</h5>
                    </div>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-md-6 col-xl-3">
              <a href="./facultyTable.html">
                <div class="card mb-3" style="overflow:hidden;">
                  <div class="layer" style="background:purple ;">
                  </div>
                  <div class="content">
                    <div class="card-header">Mr . Loganathan</div>
                    <div class="card-body">
                      <h5 class="card-title">Assistant Professor</h5>
                    </div>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-md-6 col-xl-3">
              <a href="./facultyTable.html">
                <div class="card mb-3" style="overflow:hidden;">
                  <div class="layer" style="background:lightgreen ;">
                  </div>
                  <div class="content">
                    <div class="card-header">Mr . Damodharan</div>
                    <div class="card-body">
                      <h5 class="card-title">Associate Professor</h5>
                    </div>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-md-6 col-xl-3">
              <a href="./facultyTable.html">
                <div class="card mb-3" style="overflow:hidden;">
                  <div class="layer" style="background:skyblue ;">
                  </div>
                  <div class="content">
                    <div class="card-header">Mrs . Kalaiselvi</div>
                    <div class="card-body">
                      <h5 class="card-title">Associate Professor</h5>
                    </div>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-md-6 col-xl-3">
              <a href="./facultyTable.html">
                <div class="card mb-3" style="overflow:hidden;">
                  <div class="layer" style="background:gray ;">
                  </div>
                  <div class="content">
                    <div class="card-header">Mr . Loganathan</div>
                    <div class="card-body">
                      <h5 class="card-title">Assistant Professor</h5>
                    </div>
                  </div>
                </div>
              </a>
            </div> -->
    </div>
</div>