<div class="container-xxl flex-grow-1 container-p-y">


    <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
        <symbol id="check-circle-fill" viewBox="0 0 16 16">
            <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
        </symbol>
        <symbol id="info-fill" viewBox="0 0 16 16">
            <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
        </symbol>
        <symbol id="exclamation-triangle-fill" viewBox="0 0 16 16">
            <path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
        </symbol>
    </svg>


    <div class="row mb-3">
        <div class="col-md">
            <div class="card mb-1">


                <?php

                if (isset($_POST['name']) && isset($_POST['advisor'])) {
                    $class_name = $_POST['name'];
                    $advisor_name = $_POST['advisor'];
                    $addSection = Section::addSection($class_name, $advisor_name);

                    $days_name = ['monday', 'tuesday', 'wednesday', 'thursday', 'friday'];
                    for ($days = 0; $days <= count($days_name) - 1; $days++) {
                        // print($days_name[$days]);
                        // print($_POST["$days_name[$days]"]);
                        for ($period = 1; $period <= 7; $period++) {
                            $period_1 = $_POST["$days_name[$days]_1"];
                            $period_2 = $_POST["$days_name[$days]_2"];
                            $period_3 = $_POST["$days_name[$days]_3"];
                            $period_4 = $_POST["$days_name[$days]_4"];
                            $period_5 = $_POST["$days_name[$days]_5"];
                            $period_6 = $_POST["$days_name[$days]_6"];
                            $period_7 = $_POST["$days_name[$days]_7"];
                        }
                        $addClass_TimeTable = Section::addclassTimetable($days_name[$days], $addSection, $class_name, $period_1, $period_2, $period_3, $period_4, $period_4, $period_5, $period_6, $period_7);
                    }



                    if ($addClass_TimeTable) {
                ?>

                        <div class="alert alert-success alert-dismissible fade show m-2" role="alert">
                            <svg class="bi flex-shrink-0 me-2" role="img" aria-label="Success:" style="width: 18px;height: 18px;">
                                <use xlink:href="#check-circle-fill" />
                            </svg>

                            <strong>Success!</strong> Classes Record Added Successfull.
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    <?php
                    } else {

                    ?>
                        <div class="alert alert-danger alert-dismissible fade show m-2" role="alert">
                            <svg class="bi flex-shrink-0 me-2" role="img" aria-label="Danger:" style="width: 18px;height: 18px;">
                                <use xlink:href="#exclamation-triangle-fill" />
                            </svg>
                            <strong>Success!</strong> Class Record Added Failed.
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>

                <?php
                    }
                }
                ?>


                <form action="newclass.php" method="post">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="card-body">
                                <div class="input-group mb-3">
                                    <span class="input-group-text" id="basic-addon1">Class Name</span>
                                    <input type="text" class="form-control" name="name" placeholder="Enter Section Name" aria-label="Username" aria-describedby="basic-addon1" required="">
                                </div>
                                <div class="input-group mb-3">
                                    <label class="input-group-text" for="inputGroupSelect01">Choose Class Advisor</label>
                                    <select class="form-select" id="inputGroupSelect01" name="advisor" required>
                                        <option selected>Choose</option>
                                        <?php
                                        $fetch_role = General::selectTable("staffs_records");
                                        for ($i = 0; $i < count($fetch_role); $i++) {
                                            $role = $fetch_role[$i]['staff_name'];
                                            echo ("<option value='$role'>$role</option>");
                                        }

                                        ?>
                                    </select>
                                </div>
                                <button type="submit" class="btn btn-outline-info">success</button>
                            </div>
                        </div>
                    </div>
            </div>

        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <div class="table-responsive text-nowrap">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>Days</th>
                            <th>1st Period <br> 09:30 - 10:20</th>
                            <th>2nd Period <br> 10:20 - 11:10</th>
                            <th>3rd Period <br> 11:25 - 12:15</th>
                            <th>4th Period <br> 12:15 - 01:05</th>
                            <th>5th Period <br> 02:00 - 02:50</th>
                            <th>6th Period <br> 02:50 - 03:40</th>
                            <th>7th Period <br> 03:40 - 04:30</th>
                        </tr>
                    </thead>
                    <tbody>

                        <?php
                        $days_name = ['monday', 'tuesday', 'wednesday', 'thursday', 'friday'];
                        for ($days = 0; $days <= count($days_name) - 1; $days++) {
                        ?>
                            <tr>
                                <td>
                                    <input type="text" value="<?php echo (ucwords($days_name[$days])) ?>" name="<?php echo ($days_name[$days]) ?>" hidden>
                                    <?php echo (ucwords($days_name[$days]));
                                    ?>
                                </td>
                                <?php
                                for ($period = 1; $period <= 7; $period++) {
                                ?>
                                    <td>
                                        <select class="form-select" aria-label="Default select example" name="<?php echo ($days_name[$days] . "_" . $period); ?>">
                                            <?php
                                            $fetch_role = General::selectTable("subject_records");
                                            for ($i = 0; $i < count($fetch_role); $i++) {
                                                $role = $fetch_role[$i]['sub_name'];
                                                echo ("<option value='$role'>$role</option>");
                                            }
                                            ?>
                                            <option value="Counsilling">Counsilling</option>
                                        </select>
                                    </td>
                                <?php
                                }
                                ?>


                            </tr>
                        <?php
                        }
                        ?>


                </table>
                </form>
            </div>
        </div>
    </div>
</div>