<?php

require_once "Database.class.php";

class Section
{

    private $conn;
    private $result;


    public static function listClasses()
    {
        $query = "SELECT * FROM `class_records`";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result->num_rows >= 1) {
            $data = mysqli_fetch_all($result, MYSQLI_ASSOC);
            // for ($i = 0; $i < count($data); $i++) {
            //     $c_at = $data[$i]['staff_name'];
            //     $u_at = $data[$i]['role'];
            // }
            return $data;
        } else {
            return [];
        }
    }


    public static function addSection($class_name, $advisor_name)
    {

        $query = "INSERT INTO `class_records` (`class_name`, `class_advisor`) VALUES ('$class_name', '$advisor_name');";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            $class_id = Section::getClassId($class_name);
            return $class_id;
        } else {
            throw new Exception("Cannot Add Section ");
        }
    }

    public static function classTimetable($class_id)
    {
        $query = "SELECT * FROM `class_timetable` WHERE `class_id` = '$class_id'";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result->num_rows >= 1) {
            $data = mysqli_fetch_all($result, MYSQLI_ASSOC);
            return $data;
        } else {
            return [];
        }
    }

    public static function updateClassTimetable($day, $class_id, $class_name, $period_1, $period_2, $period_3, $period_4, $period_5, $period_6, $period_7)
    {
        $query = "UPDATE `class_timetable` SET
        `Days` = '$day',
        `class_id` = '$class_id',
        `class_name` = '$class_name',
        `period_1` = '$period_1',
        `period_2` = '$period_2',
        `period_3` = '$period_3',
        `period_4` = '$period_4',
        `period_5` = '$period_5',
        `period_6` = '$period_6',
        `period_7` = '$period_7'
        WHERE `Days` = '$day' AND `class_id` = '$class_id'";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            return true;
        } else {
            return false;
        }
    }

    public static function addClassTimetable($day, $class_id, $class_name, $period_1, $period_2, $period_3, $period_4, $period_5, $period_6, $period_7)
    {
        $query = "INSERT INTO `class_timetable` (`Days`, `class_id`, `class_name`, `period_1`, `period_2`, `period_3`, `period_4`, `period_5`, `period_6`, `period_7`)
        VALUES ('$day', '$class_id', '$class_name', '$period_1', '$period_2', '$period_3', '$period_4', '$period_5', '$period_6', '$period_7');";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            return true;
        } else {
            return false;
        }
    }

    public static function getClassId($class_name)
    {
        $query = "SELECT * FROM `class_records` WHERE `class_name` = '$class_name'";
        $conn = Database::getConnection();
        $result = $conn->query($query);
        if ($result) {
            $data = mysqli_fetch_assoc($result);
            return $data['class_id'];
        } else {
            throw new Exception("Class Not Found");
        }
    }
    
}
