
<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include_once 'includes/Database.class.php';
include_once 'includes/Session.class.php';
include_once 'includes/User.class.php';
include_once 'includes/Faculties.class.php';
include_once 'includes/Section.class.php';
include_once 'includes/General.class.php';

global $__site_config;

Session::start();

// $__site_config_path = dirname(is_link($_SERVER['DOCUMENT_ROOT']) ? readlink($_SERVER['DOCUMENT_ROOT']) : $_SERVER['DOCUMENT_ROOT']) . '/project/envconfig.json';

$__site_config_path =  $_SERVER['DOCUMENT_ROOT'] . '/../envconfig.json';
// print($__site_config_path);
$__site_config = file_get_contents($__site_config_path);

function load_template($name)
{
    // include __DIR__ . "/../_templates/$name.php";
    include $_SERVER['DOCUMENT_ROOT'] . get_config('base_path') . "_templates/$name.php";
}


function get_config($key, $default = null)
{
    global $__site_config;
    $array = json_decode($__site_config, true);
    if (isset($array[$key])) {
        return $array[$key];
    } else {
        return $default;
    }
}


function currentScript()
{
    return basename($_SERVER['SCRIPT_NAME'], '.php');
}

if (isset($_GET['logout'])) {
    Session::destroy();
    header("Location: ./login.php");
    die();
}
